# Class T8GIStyleDTO

##### Index

### Constructors

constructor

### Properties

colors
diffuseColorIndices
diffuseFactors
diffuseTransmissionColorIndices
diffuseTransmissionFactors
index
nameIndices
reflectionColorIndices
reflectionFactors
specularColorIndices
specularExponents
specularFactors
specularRoughnesses
styleNames
surfaceColorIndices
transmissionColorIndices
transmissionFactors

### Methods

getDiffuseColor
getDiffuseFactor
getDiffuseTransmissionColor
getDiffuseTransmissionFactor
getName
getReflectionColor
getReflectionFactor
getSpecularColor
getSpecularExponent
getSpecularFactor
getSpecularRoughness
getSurfaceColor
getTransmissionColor
getTransmissionFactor
init

## Constructors

### constructor

- new T8GIStyleDTO(): T8GIStyleDTO

  #### Returns T8GIStyleDTO

## Properties

### colors

colors: Uint8Array

### diffuseColorIndices

diffuseColorIndices: TypedArray

### diffuseFactors

diffuseFactors: Float32Array

### diffuseTransmissionColorIndices

diffuseTransmissionColorIndices: TypedArray

### diffuseTransmissionFactors

diffuseTransmissionFactors: Float32Array

### index

index: number

### nameIndices

nameIndices: TypedArray

### reflectionColorIndices

reflectionColorIndices: TypedArray

### reflectionFactors

reflectionFactors: Float32Array

### specularColorIndices

specularColorIndices: TypedArray

### specularExponents

specularExponents: Float32Array

### specularFactors

specularFactors: Float32Array

### specularRoughnesses

specularRoughnesses: Float32Array

### styleNames

styleNames: string[]

### surfaceColorIndices

surfaceColorIndices: TypedArray

### transmissionColorIndices

transmissionColorIndices: TypedArray

### transmissionFactors

transmissionFactors: Float32Array

## Methods

### getDiffuseColor

- getDiffuseColor(): undefined | Uint8Array<ArrayBufferLike>

  #### Returns undefined | Uint8Array<ArrayBufferLike>

### getDiffuseFactor

- getDiffuseFactor(): undefined | number

  #### Returns undefined | number

### getDiffuseTransmissionColor

- getDiffuseTransmissionColor(): undefined | Uint8Array<ArrayBufferLike>

  #### Returns undefined | Uint8Array<ArrayBufferLike>

### getDiffuseTransmissionFactor

- getDiffuseTransmissionFactor(): undefined | number

  #### Returns undefined | number

### getName

- getName(): string

  #### Returns string

### getReflectionColor

- getReflectionColor(): undefined | Uint8Array<ArrayBufferLike>

  #### Returns undefined | Uint8Array<ArrayBufferLike>

### getReflectionFactor

- getReflectionFactor(): undefined | number

  #### Returns undefined | number

### getSpecularColor

- getSpecularColor(): undefined | Uint8Array<ArrayBufferLike>

  #### Returns undefined | Uint8Array<ArrayBufferLike>

### getSpecularExponent

- getSpecularExponent(): undefined | number

  #### Returns undefined | number

### getSpecularFactor

- getSpecularFactor(): undefined | number

  #### Returns undefined | number

### getSpecularRoughness

- getSpecularRoughness(): undefined | number

  #### Returns undefined | number

### getSurfaceColor

- getSurfaceColor(): Uint8Array

  #### Returns Uint8Array

### getTransmissionColor

- getTransmissionColor(): undefined | Uint8Array<ArrayBufferLike>

  #### Returns undefined | Uint8Array<ArrayBufferLike>

### getTransmissionFactor

- getTransmissionFactor(): undefined | number

  #### Returns undefined | number

### init

- init(
  styleNames: string[],
  colors: Uint8Array,
  surfaceColorIndices: TypedArray,
  diffuseColorIndices: TypedArray,
  specularColorIndices: TypedArray,
  reflectionColorIndices: TypedArray,
  transmissionColorIndices: TypedArray,
  diffuseTransmissionColorIndices: TypedArray,
  nameIndices: TypedArray,
  diffuseFactors: Float32Array,
  specularFactors: Float32Array,
  reflectionFactors: Float32Array,
  transmissionFactors: Float32Array,
  diffuseTransmissionFactors: Float32Array,
  specularExponents: Float32Array,
  specularRoughnesses: Float32Array,
  ): this

  #### Parameters

  - styleNames: string[]
  - colors: Uint8Array
  - surfaceColorIndices: TypedArray
  - diffuseColorIndices: TypedArray
  - specularColorIndices: TypedArray
  - reflectionColorIndices: TypedArray
  - transmissionColorIndices: TypedArray
  - diffuseTransmissionColorIndices: TypedArray
  - nameIndices: TypedArray
  - diffuseFactors: Float32Array
  - specularFactors: Float32Array
  - reflectionFactors: Float32Array
  - transmissionFactors: Float32Array
  - diffuseTransmissionFactors: Float32Array
  - specularExponents: Float32Array
  - specularRoughnesses: Float32Array

  #### Returns this